datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingencode20rhsrefseq <- function() showQCData("tilingencode20rhsrefseq", datacache)
tilingencode20rhsrefseq_dbconn <- function() dbconn(datacache)
tilingencode20rhsrefseq_dbfile <- function() dbfile(datacache)
tilingencode20rhsrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingencode20rhsrefseq_dbInfo <- function() dbInfo(datacache)

tilingencode20rhsrefseqORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingencode20rhsrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "tilingencode20rhsrefseq", "chip tilingencode20rhsrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingencode20rhsrefseq_dbconn())
}

